[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.Capacity

Capacity of the list

## Declaration

Source position: classesh.inc line 2072

`property IInterfaceList.Capacity : Integer read GetCapacity write SetCapacity;`

## Description

Capacity is the maximum number of elements the list can hold without needing to reallocate memory for the list. It can be set to improve speed when adding a lot of items to the list.

## See also

TList.Capacity |  | Current capacity (i.e. number of pointers that can be stored) of the list.
IInterfaceList.Count |  | Current number of elements in the list.